﻿using gridRemoteFeatures.Models;
using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Threading.Tasks;
using System.Web;
using System.Web.Mvc;

namespace gridRemoteFeatures.Controllers
{
	public class HomeController : Controller
	{
		public ActionResult Index()
		{
			return View();
		}
        [GridDataSourceAction]
        public ActionResult GetData()
        {
            IQueryable<Product> product = Product.GetData();
            IQueryable data = product.AsQueryable();
            return View(data);
        }

        [HttpPost]
        public JsonResult UpdateData(string ig_transactions)
        {
            if (ig_transactions.Contains("deleterow")) {
                return Json(new {responseText = "Deleting records is not allowed." });
            }
            JsonResult result = new JsonResult();
            Dictionary<string, bool> response = new Dictionary<string, bool>();
            response.Add("Success", true);
            result.Data = response;
            return result;
        }
	}
}